# Configuring DWA Emitters

## Introduction

Each DWA Emitter has its own configuration section.

The following sections provide details on DWA Emitter configuration and are structured as follows:

* DWA Emitter common parameters
* DWA Emitter for XFERLOG
* DWA Emitter for OpenSSH SFTP Server
* DWA Emitter for Microsoft Windows IIS FTP Server W3C extended log format
* DWA Emitter for C:D for distributed platforms

Each DWA Emitter has very FT/MFT middleware specific configuration requirements. The following sections provide details on each DWA Emitter will be discussed in more detail.

## DWA Emitter Common Parameters

DWA Emitter common parameters -- **Prefix emitter.<*****type*****>. \[<*****label*****>].\***

This section contains parameters that are shared by all DWA Emitters.

The actual property name contains a qualifier indicating the communicator type and its instance label, e.g. emitter.xferlog\[MYXFERLOG1].active=false.

Several instances of the same type of emitter, identified by different labels, can be included in the same dwagent.properties file.

| active = true \| false                                        | <p>Switch that enables this DWA Emitter.</p><p>NOTE: Several DWA Emitters can be active at runtime at any time.</p>                                                                                                                                                                                                                                                                         |
| ------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| logPollingTimeoutSeconds                                      | Time to wait between each polling to check if new events have been produced.                                                                                                                                                                                                                                                                                                                |
| logPollingMaxQuantity                                         | Max number of log records to be read for each poll.                                                                                                                                                                                                                                                                                                                                         |
| staleSessionCleanUpHours                                      | <p>Number of hours after which an idle session is marked as stale and removed from the emitter local cache.</p><p>Sessions are persistent objects that emitters use to maintain state while scanning an event source, the persisted state information is normally very short lived.</p>                                                                                                     |
| <p>localeLanguage</p><p>localeCountry</p><p>localeVariant</p> | <p>Combining these three values, the agent can understand and decode the Date format found in log files. It defaults to current user settings.</p><p>The current values accepted for these three parameters are specified at this link: <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Locale.html"><https://docs.oracle.com/javase/8/docs/api/java/util/Locale.html></a></p> |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.primeur.com/dwagent-2.1.0/configuring/configuring-dwa-emitters.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
